Create new virtual currency

/v3/ledger/virtualCurrency

2 credits per API call

Create new virtual currency with given supply stored in account. This will create Tatum internal virtual currency. Every virtual currency must be prefixed with VC_.

Every virtual currency must be pegged to existing FIAT or supported cryptocurrency. 1 unit of virtual currency has then the same amount as 1 unit of the base currency it is pegged to. It is possible to set a custom base rate for the virtual currency. (baseRate = 2 => 1 VC unit = 2 basePair units)

Tatum virtual currency acts as any other asset within Tatum. To create a fungible token, see the API for deploying a fungible token smart contract.

This operation returns the newly created Tatum Ledger account with an initial balance set to the virtual currency's total supply. Total supply can be changed in the future.

Digital assets:

  • USDC_MATIC refers to contract 0x2791bca1f2de4661ed88a30c99a7a9449aa84174 on Polygon mainnet.
  • USDC_MATIC_NATIVE refers to contract 0x3c499c542cef5e3811e1192ce70d8cc03d5c3359 on Polygon mainnet.
Body Params
string
required
length between 1 and 30

Virtual currency name. Must be prefixed with 'VC_'.

string
required
length between 1 and 38

Supply of virtual currency.

string
enum
required

Base pair for virtual currency. Transaction value will be calculated according to this base pair. e.g. 1 VC_VIRTUAL is equal to 1 BTC, if basePair is set to BTC.

number
≥ 0
Defaults to 1

Exchange rate of the base pair. Each unit of the created curency will represent value of baseRate*1 basePair.

customer
object

If a customer with the specified external ID does not exist, a new customer is created. If a customer with the specified external ID exists, it is updated with the provided information.

string
length between 1 and 100

Used as a description within Tatum system.

string
length between 1 and 50

For bookkeeping to distinct account purpose.

string
length between 1 and 50

Account number from external system.

string
enum

All transaction will be billed in this currency for created account associated with this currency. If not set, EUR is used. ISO-4217

Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json